
#ifndef __AVERAGE_H__
#define __AVERAGE_H__

// I decided to put this class in a separate file.
// I uses four instances of it.

#define BUFFER_SIZE 64

class Average {
  private:
    float buffer[BUFFER_SIZE];
    byte size;
    byte currentSize;
    byte idx;
  public:
    Average();
    void setSize(byte size);  // Clears the buffer and sets the new size
    byte getSize() {          // Return the size defined with setSize
      return size;
    }
    void clear() {
      currentSize = 0;
    }
    void add(float val);      // Add a value to the buffer
    float get();              // Get the average of all values in the buffer
};

#endif
