
#ifndef CmdProcessor_h
#define CmdProcessor_h

#include <Arduino.h>

class CmdProcessor
{
  public:
    CmdProcessor();	
    CmdProcessor(const char* name,void (*handleCmds)(Stream *stream,char* cmd));
    void init(const char* name,void (*handleCmds)(Stream *stream,char* cmd));
    void processInput();
    void processCmd(char *buffer,Stream *stream);	// Input data in buffer, output data goes to stream
  private:
};

byte cmdidx(const char *cmd,PGM_P cmd_list);

#endif