
#include <Arduino.h>
#include "Average.h"

// I decided to put this class in a separate file.

Average::Average() {
  setSize(1);
}

void Average::setSize(byte size) {
  if (size > BUFFER_SIZE) size = BUFFER_SIZE;
  this->size = size;
  currentSize = 0;
  idx = 0;
}

void Average::add(float val) {
  buffer[idx] = val;
  if (currentSize < size) currentSize++;
  idx = (idx + 1) % size;
}

float Average::get() {
  float val = 0;
  for (byte i = 0; i < currentSize; i++) {
    val += buffer[i];
  }
  return val / currentSize;
}
